Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner
Class IsSubsumedByTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.IsSubsumedByTask

All Implemented Interfaces:
  BooleanResultReasonerTask, ReasonerTask

    public class IsSubsumedByTask

extends AbstractReasonerTask
implements BooleanResultReasonerTask

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 12, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`IsSubsumedByTask(ProtegeOWLReasoner protegeOWLReasoner, OWLClass cls1, OWLClass cls2)`

Method Summary
`boolean` | `getResult()`
`int` | `getTaskSize()` Gets the size of the task.
`void` | `run()` Executes the task.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, getTranslator, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setRequestAbort, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.protegeowl.task.ReasonerTask
`addTaskListener, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, removeTaskListener, setRequestAbort`

Constructor Detail

### IsSubsumedByTask

    public IsSubsumedByTask(ProtegeOWLReasoner protegeOWLReasoner,
                            OWLClass cls1,
                            OWLClass cls2)

Method Detail

### getTaskSize

    public int getTaskSize()

  Gets the size of the task. When the progress reaches this size, the task should be complete.

  Specified by:
    `getTaskSize` in interface `ReasonerTask`

### run

    public void run()
             throws DIGReasonerException

  Executes the task.

  Specified by:
    `run` in interface `ReasonerTask`
  Throws:
    `DIGReasonerException`

### getResult

    public boolean getResult()

  Specified by:
    `getResult` in interface `BooleanResultReasonerTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.